import QtQuick 1.1
import com.nokia.meego 1.1
//import QtMobility.systeminfo 1.1
import QtMobility.location 1.2

import "StorageSmall.js" as Storage

PageStackWindow {
    id: appWindow
    initialPage: splashPage
    showStatusBar: appWindow.inPortrait

    Component.onDestruction: {
        if(nowLogging == true) {
            //console.log("Destruction Beginning!")
            Storage.stoplog(logruntime)
        }
    }

    platformStyle: PageStackWindowStyle {
        background: 'image://theme/meegotouch-video-background'
        backgroundFillMode: Image.Stretch
    }

    property int countlogindexes: 0
    property int countlogentries: 0
    property int logentries: 0
    property int currentlogindex: 0
    property int freqtimeFAV: 3
    property int detailedentries: 0
    property real totald: 0
    property real d: 0
    property bool nowLogging: false
    property bool useGPSOK: false
    property bool pauseOK: false
    property bool disableScreenSaver: false
    property int updatetimer: 3
    property bool bounceback: false

    property string coords1: ""
    property string coords2: ""
    property string data1: ""
    property string data2: ""
    property string data3: ""

    property int logruntime: 0


    Timer {
        id: splashpagetimer
        running: true
        repeat: false
        interval: 1000
        onTriggered: appWindow.pageStack.replace(Qt.resolvedUrl("StartPage.qml"))
    }

    SplashPage {
        id: splashPage
    }

}
